/* File: input_validator.cpp
   Author: Richard Eisenberg (eir@cis)
   Desc: Provides a fixup method in an subclass of QDoubleValidator
*/

#include <QtGui>
#include "input_validator.h"

InputValidator::InputValidator(QObject* parent)
  : QDoubleValidator(parent)
{ }

void InputValidator::fixup(QString& str) const
{
  // just trim leading zeroes
  if(str == "0")
  {
    return;
  }
  else if(str.contains("."))
  {
    while(str.startsWith("0"))
    {
      str.remove(0, 1);
    }
    if(str.startsWith("."))
    {
      str.prepend("0");
    }
  }
  else
  {
    while(str.startsWith("0"))
    {
      str.remove(0, 1);
    }
    if(str.isEmpty())
    {
      str = "0";
    }
  }
}
