/* File: input_validator.h
   Author: Richard Eisenberg (eir@cis)
   Desc: Validates floating-point input, using QDoubleValidator with a fixup method
*/

#ifndef INPUT_VALIDATOR_H_
#define INPUT_VALIDATOR_H_

#include <QtGui>

// we inherit the behavior to check doubles from QDoubleValidator
class InputValidator : public QDoubleValidator
{
  Q_OBJECT

 public:
  InputValidator(QObject* parent);

  // This is a method override from QValidator to "fix up" a string
  virtual void fixup(QString& str) const;
};

#endif
